> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete glossary

> Delete glossary by id.



## OpenAPI

````yaml delete /v2/glossaries/{glossary_id}
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/glossaries/{glossary_id}:
    delete:
      tags:
        - glossaries
      summary: Delete glossary
      description: Delete glossary by id.
      operationId: delete_glossary_v2_glossaries__glossary_id__delete
      parameters:
        - name: glossary_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Glossary ID
            description: Glossary ID
      responses:
        '200':
          description: ID of glossary deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlossaryIdGet'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GlossaryIdGet:
      properties:
        id:
          type: string
          title: Glossary ID
          description: Glossary ID
      type: object
      required:
        - id
      title: GlossaryIdGet
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````